Bug Hunting Session
Bug 44176 - FILEOPEN: Upper margin too small when opening a RTF file with \titlepg
Summary: FILEOPEN: Upper margin too small when opening a RTF file with \titlepg
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 Beta1
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: BSA target:3.6.0 target:3.5.4
Keywords: filter:rtf, regression
Depends on:
Blocks:
 
Reported: 2011-12-27 04:28 UTC by s-joyemusequna
Modified: 2015-12-17 11:53 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
RTF file created with LibO 3.4 with \titlepg (3.08 KB, application/msword)
2011-12-27 04:28 UTC, s-joyemusequna
Details
problem with LibO 3.5 Beta2; the upper margin is too small (97.93 KB, image/png)
2012-01-11 08:56 UTC, s-joyemusequna
Details
rtf source (created with LibO 3.4.4) - \titlepg marked in read (45.23 KB, image/png)
2012-01-11 09:34 UTC, s-joyemusequna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description s-joyemusequna 2011-12-27 04:28:06 UTC
Created attachment 54844 [details]
RTF file created with LibO 3.4 with \titlepg

Problem description: When opening a RTF file where the first page has a special format (\titlepg), then the upper margin on the first page is too small

Steps to reproduce:
1. open the attached file with LibO 3.4 (upper margin on the first page is OK)
2. open the same file with LibO 3.5 Beta2 (upper margin is too small

Current behavior: upper margin on the first page is too small

Expected behavior: upper margin which has the same height as the upper margin on page 2 (as in LibO 3.4)

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Windows NT 6.0; WOW64; rv:9.0) Gecko/20100101 Firefox/9.0
Comment 1 Jean-Baptiste Faure 2012-01-11 04:46:27 UTC
Hi,
Are you sure that it is not LO 3.4 which is wrong? Did you test your RTF file in another word processor? Abiword 2.8.6 see only one page with and this page has an header.
In other words, I guess it is an export problem in LO 3.4 instead of an import problem in LO 3.5.0 beta.

LO 3.5 has a new RTF filter and RTF filter is broken in LO 3.4.
Please could you try the same thing with LO 3.3: create the RTF file in LO 3.3 and open it in LO 3.5.0 beta ?

Best regards. JBF
Comment 2 s-joyemusequna 2012-01-11 08:56:54 UTC
Created attachment 55447 [details]
problem with LibO 3.5 Beta2; the upper margin is too small

Displays the problem with LibO 3.5 Beta2; the upper margin is too small.

From left to right: LibO 3.5 Beta2 (margin too small), LibO 3.4.4 (OK), Word 2007 (OK)
Comment 3 s-joyemusequna 2012-01-11 09:00:54 UTC
I have tested this with LibO 3.4.4 (OK), Word 2003 (OK) Word 2007 (OK) with Windows Vista 64 and Windows XP. I have attached a screenshot.
Comment 4 s-joyemusequna 2012-01-11 09:34:00 UTC
Created attachment 55453 [details]
rtf source (created with LibO 3.4.4) - \titlepg marked in read

The file was created with LibO 3.4.4. The tag \titlepg is marked in red.

If I save the same odt file with LibO 3.5, no \titlepg tag is generated. If I read a (that is probably any - I have tried several files) file with \titlepg in LibO 3.5, the upper margin of the first page is way too small.

It seems, that the tag \titlepg is not created if an odt file is saved with LibO 3.5 and is skipped, if a file with the tag is read by LibO 3.5.
Comment 5 Michael Stahl (CIB) 2012-03-08 11:51:56 UTC
RTF -> vmiklos
Comment 6 Jean-Baptiste Faure 2012-03-20 13:52:04 UTC
Set as new.
Comment 7 Miklos Vajna 2012-04-10 08:23:22 UTC
Accept, confirmed.
Comment 8 Not Assigned 2012-04-11 02:19:46 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b0edaff7e2d885f80e96277967bfe29664c83df1

fdo#44176 dmapper: fix import of titlepg top/bottom margin
Comment 9 Miklos Vajna 2012-04-11 02:22:00 UTC
Fixed in master -- will request -3-5 cherry-pick a bit later.
Comment 10 Not Assigned 2012-04-25 08:00:51 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c67e6375be1ae303fd57a24ef28ca4e232917379&g=libreoffice-3-5

fdo#44176 dmapper: fix import of titlepg top/bottom margin


It will be available in LibreOffice 3.5.4.
Comment 11 Robinson Tryon (qubit) 2015-12-17 11:53:13 UTC
Migrating Whiteboard tags to Keywords: (filter:rtf)
Replace rtf_filter -> filter:rtf.
[NinjaEdit]